Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network111.4.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
111.4.0.0
Broadcast address
111.4.31.255
First usable
111.4.0.1
Last usable
111.4.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 6F040000 · Integer 1862533120 to 1862541311
Reverse DNS zones
0.4.111.in-addr.arpa
1.4.111.in-addr.arpa
2.4.111.in-addr.arpa
3.4.111.in-addr.arpa
4.4.111.in-addr.arpa
5.4.111.in-addr.arpa
6.4.111.in-addr.arpa
7.4.111.in-addr.arpa
8.4.111.in-addr.arpa
9.4.111.in-addr.arpa
10.4.111.in-addr.arpa
11.4.111.in-addr.arpa
12.4.111.in-addr.arpa
13.4.111.in-addr.arpa
14.4.111.in-addr.arpa
15.4.111.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01101111.00000100.00000000.00000000111.4.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network01101111.00000100.00000000.00000000111.4.0.0
Broadcast01101111.00000100.00011111.11111111111.4.31.255
Split into smaller subnets/27

111.4.0.0/19 makes 256 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1111.4.0.0/27111.4.0.1 to 111.4.0.30111.4.0.3130
2111.4.0.32/27111.4.0.33 to 111.4.0.62111.4.0.6330
3111.4.0.64/27111.4.0.65 to 111.4.0.94111.4.0.9530
4111.4.0.96/27111.4.0.97 to 111.4.0.126111.4.0.12730
5111.4.0.128/27111.4.0.129 to 111.4.0.158111.4.0.15930
6111.4.0.160/27111.4.0.161 to 111.4.0.190111.4.0.19130
7111.4.0.192/27111.4.0.193 to 111.4.0.222111.4.0.22330
8111.4.0.224/27111.4.0.225 to 111.4.0.254111.4.0.25530
9111.4.1.0/27111.4.1.1 to 111.4.1.30111.4.1.3130
10111.4.1.32/27111.4.1.33 to 111.4.1.62111.4.1.6330
11111.4.1.64/27111.4.1.65 to 111.4.1.94111.4.1.9530
12111.4.1.96/27111.4.1.97 to 111.4.1.126111.4.1.12730
13111.4.1.128/27111.4.1.129 to 111.4.1.158111.4.1.15930
14111.4.1.160/27111.4.1.161 to 111.4.1.190111.4.1.19130
15111.4.1.192/27111.4.1.193 to 111.4.1.222111.4.1.22330
16111.4.1.224/27111.4.1.225 to 111.4.1.254111.4.1.25530
17111.4.2.0/27111.4.2.1 to 111.4.2.30111.4.2.3130
18111.4.2.32/27111.4.2.33 to 111.4.2.62111.4.2.6330
19111.4.2.64/27111.4.2.65 to 111.4.2.94111.4.2.9530
20111.4.2.96/27111.4.2.97 to 111.4.2.126111.4.2.12730
21111.4.2.128/27111.4.2.129 to 111.4.2.158111.4.2.15930
22111.4.2.160/27111.4.2.161 to 111.4.2.190111.4.2.19130
23111.4.2.192/27111.4.2.193 to 111.4.2.222111.4.2.22330
24111.4.2.224/27111.4.2.225 to 111.4.2.254111.4.2.25530
25111.4.3.0/27111.4.3.1 to 111.4.3.30111.4.3.3130
26111.4.3.32/27111.4.3.33 to 111.4.3.62111.4.3.6330
27111.4.3.64/27111.4.3.65 to 111.4.3.94111.4.3.9530
28111.4.3.96/27111.4.3.97 to 111.4.3.126111.4.3.12730
29111.4.3.128/27111.4.3.129 to 111.4.3.158111.4.3.15930
30111.4.3.160/27111.4.3.161 to 111.4.3.190111.4.3.19130
31111.4.3.192/27111.4.3.193 to 111.4.3.222111.4.3.22330
32111.4.3.224/27111.4.3.225 to 111.4.3.254111.4.3.25530
33111.4.4.0/27111.4.4.1 to 111.4.4.30111.4.4.3130
34111.4.4.32/27111.4.4.33 to 111.4.4.62111.4.4.6330
35111.4.4.64/27111.4.4.65 to 111.4.4.94111.4.4.9530
36111.4.4.96/27111.4.4.97 to 111.4.4.126111.4.4.12730
37111.4.4.128/27111.4.4.129 to 111.4.4.158111.4.4.15930
38111.4.4.160/27111.4.4.161 to 111.4.4.190111.4.4.19130
39111.4.4.192/27111.4.4.193 to 111.4.4.222111.4.4.22330
40111.4.4.224/27111.4.4.225 to 111.4.4.254111.4.4.25530
41111.4.5.0/27111.4.5.1 to 111.4.5.30111.4.5.3130
42111.4.5.32/27111.4.5.33 to 111.4.5.62111.4.5.6330
43111.4.5.64/27111.4.5.65 to 111.4.5.94111.4.5.9530
44111.4.5.96/27111.4.5.97 to 111.4.5.126111.4.5.12730
45111.4.5.128/27111.4.5.129 to 111.4.5.158111.4.5.15930
46111.4.5.160/27111.4.5.161 to 111.4.5.190111.4.5.19130
47111.4.5.192/27111.4.5.193 to 111.4.5.222111.4.5.22330
48111.4.5.224/27111.4.5.225 to 111.4.5.254111.4.5.25530
49111.4.6.0/27111.4.6.1 to 111.4.6.30111.4.6.3130
50111.4.6.32/27111.4.6.33 to 111.4.6.62111.4.6.6330
51111.4.6.64/27111.4.6.65 to 111.4.6.94111.4.6.9530
52111.4.6.96/27111.4.6.97 to 111.4.6.126111.4.6.12730
53111.4.6.128/27111.4.6.129 to 111.4.6.158111.4.6.15930
54111.4.6.160/27111.4.6.161 to 111.4.6.190111.4.6.19130
55111.4.6.192/27111.4.6.193 to 111.4.6.222111.4.6.22330
56111.4.6.224/27111.4.6.225 to 111.4.6.254111.4.6.25530
57111.4.7.0/27111.4.7.1 to 111.4.7.30111.4.7.3130
58111.4.7.32/27111.4.7.33 to 111.4.7.62111.4.7.6330
59111.4.7.64/27111.4.7.65 to 111.4.7.94111.4.7.9530
60111.4.7.96/27111.4.7.97 to 111.4.7.126111.4.7.12730
61111.4.7.128/27111.4.7.129 to 111.4.7.158111.4.7.15930
62111.4.7.160/27111.4.7.161 to 111.4.7.190111.4.7.19130
63111.4.7.192/27111.4.7.193 to 111.4.7.222111.4.7.22330
64111.4.7.224/27111.4.7.225 to 111.4.7.254111.4.7.25530
65111.4.8.0/27111.4.8.1 to 111.4.8.30111.4.8.3130
66111.4.8.32/27111.4.8.33 to 111.4.8.62111.4.8.6330
67111.4.8.64/27111.4.8.65 to 111.4.8.94111.4.8.9530
68111.4.8.96/27111.4.8.97 to 111.4.8.126111.4.8.12730
69111.4.8.128/27111.4.8.129 to 111.4.8.158111.4.8.15930
70111.4.8.160/27111.4.8.161 to 111.4.8.190111.4.8.19130
71111.4.8.192/27111.4.8.193 to 111.4.8.222111.4.8.22330
72111.4.8.224/27111.4.8.225 to 111.4.8.254111.4.8.25530
73111.4.9.0/27111.4.9.1 to 111.4.9.30111.4.9.3130
74111.4.9.32/27111.4.9.33 to 111.4.9.62111.4.9.6330
75111.4.9.64/27111.4.9.65 to 111.4.9.94111.4.9.9530
76111.4.9.96/27111.4.9.97 to 111.4.9.126111.4.9.12730
77111.4.9.128/27111.4.9.129 to 111.4.9.158111.4.9.15930
78111.4.9.160/27111.4.9.161 to 111.4.9.190111.4.9.19130
79111.4.9.192/27111.4.9.193 to 111.4.9.222111.4.9.22330
80111.4.9.224/27111.4.9.225 to 111.4.9.254111.4.9.25530
81111.4.10.0/27111.4.10.1 to 111.4.10.30111.4.10.3130
82111.4.10.32/27111.4.10.33 to 111.4.10.62111.4.10.6330
83111.4.10.64/27111.4.10.65 to 111.4.10.94111.4.10.9530
84111.4.10.96/27111.4.10.97 to 111.4.10.126111.4.10.12730
85111.4.10.128/27111.4.10.129 to 111.4.10.158111.4.10.15930
86111.4.10.160/27111.4.10.161 to 111.4.10.190111.4.10.19130
87111.4.10.192/27111.4.10.193 to 111.4.10.222111.4.10.22330
88111.4.10.224/27111.4.10.225 to 111.4.10.254111.4.10.25530
89111.4.11.0/27111.4.11.1 to 111.4.11.30111.4.11.3130
90111.4.11.32/27111.4.11.33 to 111.4.11.62111.4.11.6330
91111.4.11.64/27111.4.11.65 to 111.4.11.94111.4.11.9530
92111.4.11.96/27111.4.11.97 to 111.4.11.126111.4.11.12730
93111.4.11.128/27111.4.11.129 to 111.4.11.158111.4.11.15930
94111.4.11.160/27111.4.11.161 to 111.4.11.190111.4.11.19130
95111.4.11.192/27111.4.11.193 to 111.4.11.222111.4.11.22330
96111.4.11.224/27111.4.11.225 to 111.4.11.254111.4.11.25530
97111.4.12.0/27111.4.12.1 to 111.4.12.30111.4.12.3130
98111.4.12.32/27111.4.12.33 to 111.4.12.62111.4.12.6330
99111.4.12.64/27111.4.12.65 to 111.4.12.94111.4.12.9530
100111.4.12.96/27111.4.12.97 to 111.4.12.126111.4.12.12730
101111.4.12.128/27111.4.12.129 to 111.4.12.158111.4.12.15930
102111.4.12.160/27111.4.12.161 to 111.4.12.190111.4.12.19130
103111.4.12.192/27111.4.12.193 to 111.4.12.222111.4.12.22330
104111.4.12.224/27111.4.12.225 to 111.4.12.254111.4.12.25530
105111.4.13.0/27111.4.13.1 to 111.4.13.30111.4.13.3130
106111.4.13.32/27111.4.13.33 to 111.4.13.62111.4.13.6330
107111.4.13.64/27111.4.13.65 to 111.4.13.94111.4.13.9530
108111.4.13.96/27111.4.13.97 to 111.4.13.126111.4.13.12730
109111.4.13.128/27111.4.13.129 to 111.4.13.158111.4.13.15930
110111.4.13.160/27111.4.13.161 to 111.4.13.190111.4.13.19130
111111.4.13.192/27111.4.13.193 to 111.4.13.222111.4.13.22330
112111.4.13.224/27111.4.13.225 to 111.4.13.254111.4.13.25530
113111.4.14.0/27111.4.14.1 to 111.4.14.30111.4.14.3130
114111.4.14.32/27111.4.14.33 to 111.4.14.62111.4.14.6330
115111.4.14.64/27111.4.14.65 to 111.4.14.94111.4.14.9530
116111.4.14.96/27111.4.14.97 to 111.4.14.126111.4.14.12730
117111.4.14.128/27111.4.14.129 to 111.4.14.158111.4.14.15930
118111.4.14.160/27111.4.14.161 to 111.4.14.190111.4.14.19130
119111.4.14.192/27111.4.14.193 to 111.4.14.222111.4.14.22330
120111.4.14.224/27111.4.14.225 to 111.4.14.254111.4.14.25530
121111.4.15.0/27111.4.15.1 to 111.4.15.30111.4.15.3130
122111.4.15.32/27111.4.15.33 to 111.4.15.62111.4.15.6330
123111.4.15.64/27111.4.15.65 to 111.4.15.94111.4.15.9530
124111.4.15.96/27111.4.15.97 to 111.4.15.126111.4.15.12730
125111.4.15.128/27111.4.15.129 to 111.4.15.158111.4.15.15930
126111.4.15.160/27111.4.15.161 to 111.4.15.190111.4.15.19130
127111.4.15.192/27111.4.15.193 to 111.4.15.222111.4.15.22330
128111.4.15.224/27111.4.15.225 to 111.4.15.254111.4.15.25530
129111.4.16.0/27111.4.16.1 to 111.4.16.30111.4.16.3130
130111.4.16.32/27111.4.16.33 to 111.4.16.62111.4.16.6330
131111.4.16.64/27111.4.16.65 to 111.4.16.94111.4.16.9530
132111.4.16.96/27111.4.16.97 to 111.4.16.126111.4.16.12730
133111.4.16.128/27111.4.16.129 to 111.4.16.158111.4.16.15930
134111.4.16.160/27111.4.16.161 to 111.4.16.190111.4.16.19130
135111.4.16.192/27111.4.16.193 to 111.4.16.222111.4.16.22330
136111.4.16.224/27111.4.16.225 to 111.4.16.254111.4.16.25530
137111.4.17.0/27111.4.17.1 to 111.4.17.30111.4.17.3130
138111.4.17.32/27111.4.17.33 to 111.4.17.62111.4.17.6330
139111.4.17.64/27111.4.17.65 to 111.4.17.94111.4.17.9530
140111.4.17.96/27111.4.17.97 to 111.4.17.126111.4.17.12730
141111.4.17.128/27111.4.17.129 to 111.4.17.158111.4.17.15930
142111.4.17.160/27111.4.17.161 to 111.4.17.190111.4.17.19130
143111.4.17.192/27111.4.17.193 to 111.4.17.222111.4.17.22330
144111.4.17.224/27111.4.17.225 to 111.4.17.254111.4.17.25530
145111.4.18.0/27111.4.18.1 to 111.4.18.30111.4.18.3130
146111.4.18.32/27111.4.18.33 to 111.4.18.62111.4.18.6330
147111.4.18.64/27111.4.18.65 to 111.4.18.94111.4.18.9530
148111.4.18.96/27111.4.18.97 to 111.4.18.126111.4.18.12730
149111.4.18.128/27111.4.18.129 to 111.4.18.158111.4.18.15930
150111.4.18.160/27111.4.18.161 to 111.4.18.190111.4.18.19130
151111.4.18.192/27111.4.18.193 to 111.4.18.222111.4.18.22330
152111.4.18.224/27111.4.18.225 to 111.4.18.254111.4.18.25530
153111.4.19.0/27111.4.19.1 to 111.4.19.30111.4.19.3130
154111.4.19.32/27111.4.19.33 to 111.4.19.62111.4.19.6330
155111.4.19.64/27111.4.19.65 to 111.4.19.94111.4.19.9530
156111.4.19.96/27111.4.19.97 to 111.4.19.126111.4.19.12730
157111.4.19.128/27111.4.19.129 to 111.4.19.158111.4.19.15930
158111.4.19.160/27111.4.19.161 to 111.4.19.190111.4.19.19130
159111.4.19.192/27111.4.19.193 to 111.4.19.222111.4.19.22330
160111.4.19.224/27111.4.19.225 to 111.4.19.254111.4.19.25530
161111.4.20.0/27111.4.20.1 to 111.4.20.30111.4.20.3130
162111.4.20.32/27111.4.20.33 to 111.4.20.62111.4.20.6330
163111.4.20.64/27111.4.20.65 to 111.4.20.94111.4.20.9530
164111.4.20.96/27111.4.20.97 to 111.4.20.126111.4.20.12730
165111.4.20.128/27111.4.20.129 to 111.4.20.158111.4.20.15930
166111.4.20.160/27111.4.20.161 to 111.4.20.190111.4.20.19130
167111.4.20.192/27111.4.20.193 to 111.4.20.222111.4.20.22330
168111.4.20.224/27111.4.20.225 to 111.4.20.254111.4.20.25530
169111.4.21.0/27111.4.21.1 to 111.4.21.30111.4.21.3130
170111.4.21.32/27111.4.21.33 to 111.4.21.62111.4.21.6330
171111.4.21.64/27111.4.21.65 to 111.4.21.94111.4.21.9530
172111.4.21.96/27111.4.21.97 to 111.4.21.126111.4.21.12730
173111.4.21.128/27111.4.21.129 to 111.4.21.158111.4.21.15930
174111.4.21.160/27111.4.21.161 to 111.4.21.190111.4.21.19130
175111.4.21.192/27111.4.21.193 to 111.4.21.222111.4.21.22330
176111.4.21.224/27111.4.21.225 to 111.4.21.254111.4.21.25530
177111.4.22.0/27111.4.22.1 to 111.4.22.30111.4.22.3130
178111.4.22.32/27111.4.22.33 to 111.4.22.62111.4.22.6330
179111.4.22.64/27111.4.22.65 to 111.4.22.94111.4.22.9530
180111.4.22.96/27111.4.22.97 to 111.4.22.126111.4.22.12730
181111.4.22.128/27111.4.22.129 to 111.4.22.158111.4.22.15930
182111.4.22.160/27111.4.22.161 to 111.4.22.190111.4.22.19130
183111.4.22.192/27111.4.22.193 to 111.4.22.222111.4.22.22330
184111.4.22.224/27111.4.22.225 to 111.4.22.254111.4.22.25530
185111.4.23.0/27111.4.23.1 to 111.4.23.30111.4.23.3130
186111.4.23.32/27111.4.23.33 to 111.4.23.62111.4.23.6330
187111.4.23.64/27111.4.23.65 to 111.4.23.94111.4.23.9530
188111.4.23.96/27111.4.23.97 to 111.4.23.126111.4.23.12730
189111.4.23.128/27111.4.23.129 to 111.4.23.158111.4.23.15930
190111.4.23.160/27111.4.23.161 to 111.4.23.190111.4.23.19130
191111.4.23.192/27111.4.23.193 to 111.4.23.222111.4.23.22330
192111.4.23.224/27111.4.23.225 to 111.4.23.254111.4.23.25530
193111.4.24.0/27111.4.24.1 to 111.4.24.30111.4.24.3130
194111.4.24.32/27111.4.24.33 to 111.4.24.62111.4.24.6330
195111.4.24.64/27111.4.24.65 to 111.4.24.94111.4.24.9530
196111.4.24.96/27111.4.24.97 to 111.4.24.126111.4.24.12730
197111.4.24.128/27111.4.24.129 to 111.4.24.158111.4.24.15930
198111.4.24.160/27111.4.24.161 to 111.4.24.190111.4.24.19130
199111.4.24.192/27111.4.24.193 to 111.4.24.222111.4.24.22330
200111.4.24.224/27111.4.24.225 to 111.4.24.254111.4.24.25530
201111.4.25.0/27111.4.25.1 to 111.4.25.30111.4.25.3130
202111.4.25.32/27111.4.25.33 to 111.4.25.62111.4.25.6330
203111.4.25.64/27111.4.25.65 to 111.4.25.94111.4.25.9530
204111.4.25.96/27111.4.25.97 to 111.4.25.126111.4.25.12730
205111.4.25.128/27111.4.25.129 to 111.4.25.158111.4.25.15930
206111.4.25.160/27111.4.25.161 to 111.4.25.190111.4.25.19130
207111.4.25.192/27111.4.25.193 to 111.4.25.222111.4.25.22330
208111.4.25.224/27111.4.25.225 to 111.4.25.254111.4.25.25530
209111.4.26.0/27111.4.26.1 to 111.4.26.30111.4.26.3130
210111.4.26.32/27111.4.26.33 to 111.4.26.62111.4.26.6330
211111.4.26.64/27111.4.26.65 to 111.4.26.94111.4.26.9530
212111.4.26.96/27111.4.26.97 to 111.4.26.126111.4.26.12730
213111.4.26.128/27111.4.26.129 to 111.4.26.158111.4.26.15930
214111.4.26.160/27111.4.26.161 to 111.4.26.190111.4.26.19130
215111.4.26.192/27111.4.26.193 to 111.4.26.222111.4.26.22330
216111.4.26.224/27111.4.26.225 to 111.4.26.254111.4.26.25530
217111.4.27.0/27111.4.27.1 to 111.4.27.30111.4.27.3130
218111.4.27.32/27111.4.27.33 to 111.4.27.62111.4.27.6330
219111.4.27.64/27111.4.27.65 to 111.4.27.94111.4.27.9530
220111.4.27.96/27111.4.27.97 to 111.4.27.126111.4.27.12730
221111.4.27.128/27111.4.27.129 to 111.4.27.158111.4.27.15930
222111.4.27.160/27111.4.27.161 to 111.4.27.190111.4.27.19130
223111.4.27.192/27111.4.27.193 to 111.4.27.222111.4.27.22330
224111.4.27.224/27111.4.27.225 to 111.4.27.254111.4.27.25530
225111.4.28.0/27111.4.28.1 to 111.4.28.30111.4.28.3130
226111.4.28.32/27111.4.28.33 to 111.4.28.62111.4.28.6330
227111.4.28.64/27111.4.28.65 to 111.4.28.94111.4.28.9530
228111.4.28.96/27111.4.28.97 to 111.4.28.126111.4.28.12730
229111.4.28.128/27111.4.28.129 to 111.4.28.158111.4.28.15930
230111.4.28.160/27111.4.28.161 to 111.4.28.190111.4.28.19130
231111.4.28.192/27111.4.28.193 to 111.4.28.222111.4.28.22330
232111.4.28.224/27111.4.28.225 to 111.4.28.254111.4.28.25530
233111.4.29.0/27111.4.29.1 to 111.4.29.30111.4.29.3130
234111.4.29.32/27111.4.29.33 to 111.4.29.62111.4.29.6330
235111.4.29.64/27111.4.29.65 to 111.4.29.94111.4.29.9530
236111.4.29.96/27111.4.29.97 to 111.4.29.126111.4.29.12730
237111.4.29.128/27111.4.29.129 to 111.4.29.158111.4.29.15930
238111.4.29.160/27111.4.29.161 to 111.4.29.190111.4.29.19130
239111.4.29.192/27111.4.29.193 to 111.4.29.222111.4.29.22330
240111.4.29.224/27111.4.29.225 to 111.4.29.254111.4.29.25530
241111.4.30.0/27111.4.30.1 to 111.4.30.30111.4.30.3130
242111.4.30.32/27111.4.30.33 to 111.4.30.62111.4.30.6330
243111.4.30.64/27111.4.30.65 to 111.4.30.94111.4.30.9530
244111.4.30.96/27111.4.30.97 to 111.4.30.126111.4.30.12730
245111.4.30.128/27111.4.30.129 to 111.4.30.158111.4.30.15930
246111.4.30.160/27111.4.30.161 to 111.4.30.190111.4.30.19130
247111.4.30.192/27111.4.30.193 to 111.4.30.222111.4.30.22330
248111.4.30.224/27111.4.30.225 to 111.4.30.254111.4.30.25530
249111.4.31.0/27111.4.31.1 to 111.4.31.30111.4.31.3130
250111.4.31.32/27111.4.31.33 to 111.4.31.62111.4.31.6330
251111.4.31.64/27111.4.31.65 to 111.4.31.94111.4.31.9530
252111.4.31.96/27111.4.31.97 to 111.4.31.126111.4.31.12730
253111.4.31.128/27111.4.31.129 to 111.4.31.158111.4.31.15930
254111.4.31.160/27111.4.31.161 to 111.4.31.190111.4.31.19130
255111.4.31.192/27111.4.31.193 to 111.4.31.222111.4.31.22330
256111.4.31.224/27111.4.31.225 to 111.4.31.254111.4.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses